#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 lsp
version:              1.6.0.0
visibility:           public
id:                   lsp-1.6.0.0-2AI4IT8EiAWIxY9TrUQEZ9
key:                  lsp-1.6.0.0-2AI4IT8EiAWIxY9TrUQEZ9
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  8b87e76d1b15bd0bf993f9a6a6c68056
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Logging,
    Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.6.0.1-BVnWw7JwIsoGBKlDlW9z00:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.6.0.1-BVnWw7JwIsoGBKlDlW9z00:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.6.0.1-BVnWw7JwIsoGBKlDlW9z00:Language.LSP.Types.Lens,
    Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.4.8/site-local/lsp-1.6.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/lsp-1.6.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/lsp-1.6.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp
hs-libraries:         HSlsp-1.6.0.0-2AI4IT8EiAWIxY9TrUQEZ9
depends:
    aeson-2.1.2.1-4xKrNuS491zGhSp7DRfhkt
    async-2.2.5-LmSVINhEjtM7SmkG8MLO8t
    attoparsec-0.14.4-JadDyXYzn4eLOmfXFQKWms base-4.17.2.1
    bytestring-0.11.5.3 co-log-core-0.3.2.4-1a6EoKfJCA71r74PmieYob
    containers-0.6.7 data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi
    directory-1.3.7.1 exceptions-0.10.5 filepath-1.4.2.2
    hashable-1.4.4.0-909PfscEME9DWRnST3i6i
    lens-5.2.3-KfchkrYqe7G7U6wvL6YyJ5
    lsp-types-1.6.0.1-BVnWw7JwIsoGBKlDlW9z00 mtl-2.2.2
    prettyprinter-1.7.1-CU08oRG9nIK9KazFrxtyV7
    random-1.2.1.2-871Uh1OooPpA1MO3rZ8unb
    sorted-list-0.2.3.1-Ir4iiMrilNBGBZeYRZc7Dn stm-2.5.1.0
    temporary-1.3-LG2wimVV3kZItX03C66WcI text-2.0.2
    text-rope-0.3-8PHmwYLjGSrCvCPnb4yiqh transformers-0.5.6.2
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-Ko0oshTaIwM77y5vt748zM
    uuid-1.3.16-9x2IJinX5c1Kl1Zc9f2OA2

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

